# Generated by Django 2.1.4 on 2018-12-13 12:39

from django.conf import settings
import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='CareReceiver',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=30)),
                ('last_name', models.CharField(max_length=30)),
                ('gender', models.CharField(choices=[('M', 'Male'), ('F', 'Female')], max_length=1)),
                ('birthdate', models.DateField(max_length=8)),
                ('syndrome', models.CharField(max_length=30)),
            ],
        ),
        migrations.CreateModel(
            name='Game',
            fields=[
                ('slug', models.CharField(max_length=30, primary_key=True, serialize=False)),
                ('title', models.CharField(max_length=30)),
                ('description', models.TextField(max_length=300)),
                ('image', models.ImageField(default='pic_folder/None/no-img.jpg', upload_to='pic_folder/')),
                ('url', models.CharField(max_length=30)),
                ('type', models.CharField(choices=[('training', 'Training'), ('cognitive', 'Cognitive')], max_length=1)),
            ],
        ),
        migrations.CreateModel(
            name='GameSettings',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('settings', models.CharField(max_length=300)),
                ('careReceiver', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='tog.CareReceiver')),
                ('game', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='tog.Game')),
            ],
        ),
        migrations.CreateModel(
            name='Session',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('synced', models.BooleanField(default=False)),
                ('screenWidth', models.IntegerField(validators=[django.core.validators.MinValueValidator(1)])),
                ('screenHeight', models.IntegerField(validators=[django.core.validators.MinValueValidator(1)])),
                ('files', models.FilePathField(match='.*\\.zip$')),
                ('careGiver', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to=settings.AUTH_USER_MODEL)),
                ('careReceiver', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='tog.CareReceiver')),
                ('game', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='tog.Game')),
            ],
        ),
    ]
